# Button
_The Button is a standard button element with click handling and state management._

Extends: `VisualElement`

## Properties

|Property|Type|Default|Description|
|---|---|---|---|
|text|string|Button|Button text|

## Functions

|Method|Returns|Description|
|---|---|---|
|[Button.new](#button-new)|table|Creates a new Button instance|
|[Button:init](#button-init-props-basalt)|-|Initializes the Button instance|
|[Button:render](#button-render)|-|Renders the Button|

## Button.new()
### Returns
* `table` `self` The created instance

## Button:init(props, basalt)
### Parameters
* `props` `table` The properties to initialize the element with
* `basalt` `table` The basalt instance

## Button:render()